/* Variables */

:root {
  --title: #480607;
  --shadow: 0px 1px 5px #232b2b;
}

html {
  box-sizing: border-box;
  font-family: Arial, Helvetica, sans-serif;
}

body {
  background: #586994;
  color: #232b2b;
  margin: 20px 40px;
  line-height: 1.4;
}

img {
  max-width: 100%;
}

h1 {
  color: var(--title);
}

.wrapper {
  display: grid;
  grid-gap: 20px;
  height: auto;
  grid-template-columns: 1fr;
}

/* Website Title and Logo */

.title {
  display: grid;
  max-width: 865px;
  height: 100px;
  grid-template-columns: 1fr 8fr;
}

.title .logo {
  max-height: 100px;
  max-width: 105px;
}

.logo img {
  display: inline-block;
  max-height: inherit;
}

.title .heading {
  max-height: 100px;
  max-width: 760px;
}

.title h3 {
  color: #ffffff;
  text-align: left;
  font-size: 3em;
  margin: 16.5px 0px;
}

/* Navigation */

.main-nav ul {
  display: grid;
  grid-gap: 20px;
  padding: 0;
  list-style: none;
  grid-template-columns: repeat(6, 1fr);
}

.main-nav a {
  display: block;
  text-decoration: none;
  text-align: center;
  justify-content: center;
  color: var(--title);
  font-size: 1.1em;
}

.main-nav li {
  box-shadow: var(--shadow);
  max-height: 88.73px;
  min-height: auto;
  background-position: center;
}

/* Nav Button Images */

.home {
  background: url("img/schoolfrontnav.jpg");
  background-size: cover;
}

.stream {
  background: url("img/streamnav.jpg");
  background-size: cover;
}

.wharenui {
  background: url("img/wharenuinav.jpg");
  background-size: cover;
}

.chapel {
  background: url("img/chapelnav.jpg");
  background-size: cover;
}

.gym {
  background: url("img/gymnav.jpg");
  background-size: cover;
}

.turf {
  background: url("img/turfnav.jpg");
  background-size: cover;
}

/* Content/Body CSS */

.content {
  display: grid;
  grid-gap: 20px;
  box-shadow: var(--shadow);
  grid-template-columns: 1fr 1fr;
  background: #ffffff;
  padding: 20px;
  grid-template-areas: "image info";
}

/* Content image and caption */

.content figure {
  grid-area: image;
  box-sizing: border-box;
  position: relative;
  margin: 0;
  padding: 0;
  overflow: hidden;
}

.content figure img {
  display: block;
  width: 100%;
}

.content figure figcaption {
  position: absolute;
  top: 0px;
  padding-top: 5px;
  padding-bottom: 5px;
  font-size: 20px;
  background: rgba(34, 42, 42, 0.75);
  text-align: center;
  width: 100%;
  color: #e8e4dc;
  transition: 0.5s ease;
  opacity: 0;
}

.image:hover .overlay {
  opacity: 1;
}

/* Content text */

.content .info {
  grid-area: info;
  text-align: justify;
  background: url("img/chanellogobw.png");
  background-size: contain;
  background-repeat: no-repeat;
  background-position: center;
}
/* Footer */

.footer {
  position: relative;
  bottom: 0;
  width: 100%;
  text-align: right;
}


/* Contact Form */
.container {
	width:100%;
	margin:40px auto;
	color: #232b2b;
}
input {
	width: 100%;
    margin-bottom: 20px;
    padding: 5px;
    height: 30px;
    border: 1px solid #6f7474;
    box-shadow: var(--shadow);
}
textarea {
	width:100%;
	height:80px;
	margin-top:10px;
	padding:5px;
	border: 1px solid #6f7474;
    box-shadow: var(--shadow);
}
#send {
	width:103%;
	height:45px;
	margin-top:40px;
	border-radius:3px;
	font-size:18px;
}
div#feedback {
	text-align: center;
    height: 520px;
    width: 65%;
    margin: 0px auto;
    padding: 20px 25px 20px 15px;
    background-color: white;
    box-shadow: var(--shadow);

}
form#form {
	display: grid;
    max-width: 50%;
    margin: 0px auto;
}



/* Media Queries */

@media (max-width: 800px) {
  .title {
    height: 90px;
  }
  .title h3 {
    margin: 12.5px 0px;
  }
  .main-nav ul {
    grid-template-columns: repeat(2, 1fr);
  }
  .main-nav li {
    margin: 7.5px;
    min-height: auto;
    max-height: none;
    border: 1.5px solid rgba(34, 42, 42, 0.25);
  }
  h2 {
    font-size: 20px;
  }
  .content {
    grid-template-columns: 1fr;
    grid-template-areas: "image" "info";
  }
  .overlay {
    display: none;
  }
}

@media (max-width: 560px) {
  .title h3 {
    text-align: center;
  }
  .title {
    grid-template-columns: 1fr;
    height: 171px;
  }
  .title .logo {
    max-width: 463px;
    max-height: 100px;
  }
  .logo img {
    display: block;
    margin: 0px auto;
  }
  .title h3 {
    font-size: 30px;
  }
}

@media (max-width: 500px) {
  .main-nav ul {
    grid-template-columns: 1fr;
    margin-top: 0px;
  }
  .main-nav li {
    margin: 0px;
  }
  .title {
    height: 153px;
  }
  .title h3 {
    font-size: 24px;
  }
}

@media print {
  * {
    background: #ffffff;
  }
  .main-nav li {
    display: none;
  }
}
